SoftwareResource (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.SoftwareResource interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app
Interface SoftwareResource

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  J2EEResource, JavaMail, JBossJNDIService, JBossMailService, JBossManagedConnectionFactory, JBossManagedConnectionPool, JBossTransactionCM, JCAConnection, JCAConnectionFactory, JCAConnectionPool, JCAManagedConnectionFactory, JDBC, JDBCConnection, JDBCConnectionPool, JDBCDataSource, JDBCDriver, JMS, JMSConnection, JMSEndpoint, JMSSession, JNDI, JTA, OracleAppJ2EEWebSite, OracleAppJDBCConnectionPool, OracleAppJDBCDataSource, OracleAppJDBCDriver, OracleAppJMSDestination, OracleAppJMSServer, OracleAppJTAResource, RMI_IIOP, URL, WebLogicJDBCConnectionPool, WebLogicJDBCDataSource, WebLogicJDBCDriver, WebLogicJDBCMultiPool, WebLogicJDBCTxDataSource, WebLogicJMSServer, WebSphereJ2EEResource, WebSphereJDBCConnectionPool, WebSphereJDBCDataSource, WebSphereJDBCProvider, WebSphereJMSDestination, WebSphereJMSProvider, WebSphereJMSQueue, WebSphereJMSServer, WebSphereJMSTopic, WebSphereMQJMSDestination, WebSphereMQJMSQueue, WebSphereMQJMSTopic

    public interface SoftwareResource

extends LogicalElement, ConfigurationItem

Represents software resources that are deployed and/or configured in a Software Container.

Naming Rules:
  0="managedSystemName"
Persistable:
  true
Table Name:
  SOFTRES
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getName()`
`AppServer` | `getParent()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`void` | `setName(java.lang.String name)`
`void` | `setParent(AppServer parent)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getParent

    AppServer getParent()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="true"

### setParent

    void setParent(AppServer parent)

### hasParent

    boolean hasParent()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD